//COMPIMS  JOB (ACCOUNT),'DEFAULT JOBCARD',CLASS=C,
//         MSGCLASS=X,MSGLEVEL=(1,1),NOTIFY=&SYSUID
//******************************************************************
//*                                                                *
//* Assembles the assembler function, compiles C and links it all  *
//* together.                                                      *
//*                                                                *
//* This job contains 5 steps                                      *
//*                                                                *
//* 1.  Assembles GETECB.                                          *
//* 2.  Link edits GETECB.                                         *
//* 3.  Compiles CSQ4TRMN.                                         *
//* 4.  Pre-link edit CSQ4TRMN.                                    *
//* 5.  Link edits CSQ4TRMN.                                       *
//*                                                                *
//******************************************************************
//* CUSTOMIZE THIS JOB HERE FOR YOUR INSTALLATION
//* YOU MUST DO GLOBAL CHANGES ON THESE PARAMETERS USING YOUR EDITOR
//*
//*    Replace   ++IMS++
//*                      with the dataset containing the file
//*                      DFSLI000.
//*
//*    Replace   ++SCSQMACS++
//*                      with the SCSQMACS dataset.
//*
//*    Replace   ++MQLIB++
//*                      with the high level qualifier of
//*                      the MQ libruaries.
//*
//*    Replace   ++OBJ++
//*                      with the high level qualifier of
//*                      your object library that will be used
//*                      to store the object code.
//*
//*    Replace   ++MXXXHLQ++
//*                      with the high level qualifier of
//*                      this supportpac.
//*
//*    Replace   ++OS++
//*                      with the level of the operating system
//*                      e.g. ZOS140.
//*
//*    Replace   ++OUTLIB++
//*                      with the high level qualifier of the
//*                      output.
//*
//******************************************************************
//*                                                                *
//* 1.  Assembles GETECB.                                          *
//*                                                                *
//******************************************************************
//*
//ASSEMBLE EXEC PGM=ASMA90,PARM='DECK,NOOBJECT,LIST,XREF(SHORT)',
//             REGION=4M
//SYSLIB   DD DSN=++SCSQMACS++,DISP=SHR
//         DD DSN=SYS1.MACLIB,DISP=SHR
//SYSUT1   DD UNIT=SYSDA,SPACE=(CYL,(1,1))
//SYSPRINT DD SYSOUT=*
//SYSIN    DD DSN=++MXXXHLQ++.MXXX.ASM(GETECB),DISP=SHR
//SYSPUNCH DD DSN=++OBJ++(GETECB),DISP=SHR
//*
//******************************************************************
//*                                                                *
//* 2.  Link edits GETECB.                                         *
//*                                                                *
//******************************************************************
//*             Link edit step for ++DEFV++
//*
//LKEDASM  EXEC PGM=IEWL,
//             REGION=1024K,
//             PARM='LIST,MAP,XREF,RENT,AMODE(31),RMODE(ANY)'
//SYSPRINT DD SYSOUT=*
//CUSOBJ   DD DSN=++OBJ++,DISP=SHR
//SYSLMOD  DD DSN=++OUTLIB++.SCSQAUTH,DISP=SHR
//*
//* Input data to linkage editor
//*
//SYSLIN   DD DATA,DLM=$$
   ORDER GETECB
   INCLUDE CUSOBJ(GETECB)
   ENTRY GETECB
   NAME GETECB(R)
$$
//SYSUT1   DD DSN=&&SYSUT1,UNIT=SYSDA,
//             SPACE=(1024,(200,20))
//*
//******************************************************************
//*                                                                *
//* 3.  Compiles CSQ4TRMN.                                         *
//*                                                                *
//******************************************************************
//COMPILE EXEC PGM=CCNDRVR,REGION=0M,
// PARM=('DEFINE(MVS),SO,LIST,OF,LO,AGG,EXP,MEM,SHOW,XREF,SE(DD:AA)')
//STEPLIB  DD DISP=SHR,DSNAME=PP.CBC.++OS++.SCCNCMP
//         DD DISP=SHR,DSNAME=PP.ADLE370.++OS++.SCEERUN
//SYSLIB   DD DISP=SHR,DSN=++MQLIB++.SCSQC370
//         DD DISP=SHR,DSN=PP.ADLE370.++OS++.SCEEH.H
//         DD DISP=SHR,DSN=PP.ADLE370.++OS++.SCEEH.SYS.H
//SYSLIN   DD DSNAME=&&TEMPDS,UNIT=SYSDA,
//             DISP=(MOD,PASS),SPACE=(CYL,(3,3)),
//             RECFM=FB,LRECL=80,BLKSIZE=3200
//*
//SYSIN    DD DISP=SHR,DSN=++MXXXHLQ++.MXXX.C(CSQ4TRMN)
//*
//SYSPRINT DD SYSOUT=*
//SYSCPRT  DD SYSOUT=*
//SYSOUT   DD SYSOUT=*
//SYSUT1   DD UNIT=SYSDA,SPACE=(32000,(30,30))
//SYSUT4   DD UNIT=SYSDA,SPACE=(32000,(30,30))
//SYSUT5   DD UNIT=SYSDA,SPACE=(32000,(30,30))
//SYSUT6   DD UNIT=SYSDA,SPACE=(32000,(30,30))
//SYSUT7   DD UNIT=SYSDA,SPACE=(32000,(30,30))
//SYSUT8   DD UNIT=SYSDA,SPACE=(32000,(30,30))
//SYSUT9   DD UNIT=SYSDA,SPACE=(32000,(30,30)),
//             DCB=(RECFM=VB,LRECL=137,BLKSIZE=882)
//SYSUT10  DD SYSOUT=*
//SYSUDUMP DD SYSOUT=*
//*
//******************************************************************
//*                                                                *
//* 4.  Pre-link edit CSQ4TRMN.                                    *
//*                                                                *
//******************************************************************
//PRELINK   EXEC PGM=EDCPRLK,REGION=2048K,COND=(4,LE,COMPILE),
//       PARM='MAP,NOER'
//STEPLIB   DD DISP=SHR,DSN=PP.ADLE370.++OS++.SCEERUN
//SYSMSGS   DD DISP=SHR,DSN=PP.ADLE370.++OS++.SCEEMSGP(EDCPMSGE)
//SYSMOD    DD DISP=SHR,DSN=++OBJ++(CSQ4TRMN)
//SYSIN     DD DSN=&&TEMPDS,DISP=(OLD,DELETE)
//SYSPRINT  DD SYSOUT=*
//SYSOUT    DD SYSOUT=*
//*
//******************************************************************
//*                                                                *
//* 5.  Link edits CSQ4TRMN.                                       *
//*                                                                *
//******************************************************************
//LKEDC  EXEC PGM=HEWL,COND=(4,LT,COMPILE),
//    REGION=6M,PARM='XREF,LIST,LET,MAP'
//SYSLIB   DD DISP=SHR,DSN=PP.ADLE370.++OS++.SCEELKED
//         DD DISP=SHR,DSN=++MQLIB++.SCSQLOAD
//*
//SCSQLOAD DD DISP=SHR,DSN=++MQLIB++.SCSQLOAD
//SYSPRINT DD SYSOUT=*
//OBJ      DD DISP=SHR,DSN=++OBJ++(CSQ4TRMN)
//OBJLIB   DD DISP=SHR,DSN=++OUTLIB++.SCSQAUTH
//IMSSTUBS DD DSN=++IMS++.SDRSRESL,DISP=SHR
//SYSLMOD  DD DISP=SHR,DSN=++OUTLIB++.SSAMPLES
//SYSUT0   DD UNIT=SYSDA,SPACE=(32000,(30,30))
//SYSLIN   DD *
  INCLUDE OBJ(CSQ4TRMN)
  INCLUDE SCSQLOAD(CSQQSTUB)
  INCLUDE IMSSTUBS(DFSLI000)
  INCLUDE OBJLIB(GETECB)
  MODE AMODE(31) RMODE(ANY)
  NAME CSQ4TRMN(R)
//
